Extract the public key from a crypto_kx keypair

- « sodium_crypto_kx_keypair

- sodium_crypto_kx_secretkey »

- PHP Manual
- Sodium Functions
- Extract the public key from a crypto_kx keypair

# sodium_crypto_kx_publickey

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_kx_publickey — Extract the public key from a crypto_kx keypair

### Description

sodium_crypto_kx_publickey(string `$key_pair`): string

Extract the public key from a crypto_kx keypair.

### Parameters

`key_pair`

  X25519 keypair, such as one generated by sodium_crypto_kx_keypair().

### Return Values

X25519 public key.